gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.CssStyleChange

Contents

- Exported types
- Methods

Description

A CSS style change.

Synopsis

- newtype CssStyleChange = CssStyleChange (ManagedPtr CssStyleChange)

# Exported types

newtype CssStyleChange Source #

Memory-managed wrapper type.

Constructors

CssStyleChange (ManagedPtr CssStyleChange) |

#### Instances

Instances details

Eq CssStyleChange Source # |
Instance details Defined in GI.Gtk.Structs.CssStyleChange Methods (==) :: CssStyleChange -> CssStyleChange -> Bool Source # (/=) :: CssStyleChange -> CssStyleChange -> Bool Source #
BoxedPtr CssStyleChange Source # |
Instance details Defined in GI.Gtk.Structs.CssStyleChange Methods boxedPtrCopy :: CssStyleChange -> IO CssStyleChange Source # boxedPtrFree :: CssStyleChange -> IO () Source #
ManagedPtrNewtype CssStyleChange Source # |
Instance details Defined in GI.Gtk.Structs.CssStyleChange Methods toManagedPtr :: CssStyleChange -> ManagedPtr CssStyleChange Source #

# Methods